Core - Bug # 40137

Task # 40095 (Resolved): Move core to namespaces

Status: Resolved Priority: Should have
Author: Wouter Wolters Category: Workspaces
Created: 2012-08-24 Assigned To:

Updated: 2013-12-10 Due date:

TYPO3 Version: 6.0

PHP Version:

Complexity:

Is Regression:
Sprint Focus:

Subiject: Interface not correctly initialized

Description

PHP Fatal error: Declaration of TYPO3\CMS\\Workspaces\\ExtDirect\WorkspaceSelectorToolbarltem::__construct() must be

compatible with that of TYPO3\CMS\\Backend\\Toolbar\\ToolbarltemHookInterface::__construct()

Associated revisions

Revision 3ba8451e - 2012-08-24 19:15 - Wouter Wolters

[TASK] Constructor not correctly declared for WorkspaceSelectorToolbarltem

Constructor in WorkspaceSelectorToolbarltem is not correctly declared.
\TYPOBS3backend -> \TYPO3\CMS\Backend\Controller\BackendController

Change-Id: lefe08e47342c015898c77036684fc2344105aa4e
Resolves: #40137

Related: #40095

Releases: 6.0

Reviewed-on: http://review.typo3.org/14048

Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

History

#1 - 2012-08-24 19:11 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.0org/14048

#2 - 2012-08-24 19:12 - Christian Kuhn
- Parent task set to #40095

#3 - 2012-08-24 19:30 - Wouter Wolters

- Status changed from Under Review to Resolved
- % Done changed from 0 to 100
Applied in changeset commit:d1a94493b8a528f01171469f84a364ae8080edfa.

#4 - 2013-12-10 00:57 - Michael Stucki

- Category set to Workspaces

#5 - 2013-12-10 01:02 - Michael Stucki

- Project changed from Workspaces & Versioning to Core
- Category changed from Workspaces to Workspaces
